
import request from '/@/utils/request';
/**
 * 公共参数
 * @method getList 获取列表
 */
export function getApi() {
    return {
        // 去化周期
        getdepleList: (params?: object) => {
            return request({
                url: 'ew/depletion/v1',
                method: 'get',
                params,
            });
        },
        getdepledata: (params?: object) => {
            return request({
                url: 'ew/depletion/v1/content',
                method: 'get',
                params,
            });
        },
        // 月环比
        getmonthList: (params?: object) => {
            return request({
                url: 'ew/ewSaleMonthQoq/v1',
                method: 'get',
                params,
            });
        },
        getmonthdata: (params?: object) => {
            return request({
                url: 'ew/ewSaleMonthQoq/v1/content',
                method: 'get',
                params,
            });
        },
        // 半年同比
        gethalyearList: (params?: object) => {
            return request({
                url: 'ew/halfYearYoy/v1',
                method: 'get',
                params,
            });
        },
        gethalyeardata: (params?: object) => {
            return request({
                url: 'ew/halfYearYoy/v1/content',
                method: 'get',
                params,
            });
        },
        // 年环比
        getyearList: (params?: object) => {
            return request({
                url: 'ew/ewSaleYearQoq/v1',
                method: 'get',
                params,
            });
        }
    };
}
